Lightroom with Win10 LTSC

New Here ,
Nov 23, 2020 Nov 23, 2020

Copy link to clipboard

Copied

Hi,

I'm working in an academic institute and we decided to use Win10 LTSC (recent: 1809). Now Lightroom (4.0) needs at least Win10 1903 to get installed and updated. Is there a way to get the recent Lightroom running on the recent Win10 LTSC?

Thanks in advance,

Mattes

TOPICS
Creative Cloud, Installation

Views

208

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Nov 23, 2020 Nov 23, 2020

Copy link to clipboard

Copied

...Is there a way to get the recent Lightroom running on the recent Win10 LTSC?

No. contact your administrator to update your Windows.

 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Nov 23, 2020 Nov 23, 2020

Copy link to clipboard

Copied

Hi,

thank you for your response! As I said unfortunately there is no more recent version of Windows 10 LTSC out now.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Nov 24, 2020 Nov 24, 2020

Copy link to clipboard

Copied

LATEST

So it seems we have to wait for the next LTSC Branch (2022) to use Lightroom again... WTF!

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines